## Button
A Button component. Chose from a submit, button, or link element. Defaults to a link.

## Usage

```javascript
import { Button } from '@dragonchain-dev/dragon-kit'
      
<Button 
  blank 
  color="red" 
  hover="red-on-white" 
  to="https://dragonchain.com
>
  Dragonchain
</Button>
```

## Properties

**tag**

HTML tag

```
string
```

**className**

Override all button styles

```
string
```

**color**

Button color Defaults to `blue`.

```
red
blue
blue-light
blue-med
blue-dark
black
yellow
white
```

**hover**

Button hover color Defaults to `blue-dark`.

```
red
blue
blue-light
blue-med
blue-dark
black
yellow
white
blue-on-white
red-on-white
```

**type**

The type of button Defaults to `link`.

```
button
link
submit
```

**outline**

Remove solid fill and replace with an outline

```
boolean
```

**url**

URL

```
string
```

**blank**

Open url in new window

```
boolean
```

**disabled**

Disable the button

```
boolean
```

**small**

Make the button smaller

```
boolean
```

**children**

Required. Button body

```
node
```
  